/***************************************************************
 * Name:      checklist.h
 * Purpose:   Defines Dialog spinControl
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-09
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef CHECKLIST_H
#define CHECKLIST_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <vector>
#include <wx/validate.h>

class datosCheckList
{
    public:
        datosCheckList() : check() {}
        datosCheckList(std::vector<bool> valores) {
            check.resize(valores.size());
            for(size_t i=0; i<valores.size(); i++)
                check[i] = valores[i];
        }

    //private:
        std::vector<bool> check;
};

class clValidator : public wxValidator {
public:
    clValidator(std::vector<bool> *v=nullptr);
    virtual wxObject* Clone() const { return new clValidator(*this); }
    virtual bool TransferFromWindow();
    virtual bool TransferToWindow();
    virtual bool Validate(wxWindow * parent);
private:
    std::vector<bool> *m_valores;
    DECLARE_DYNAMIC_CLASS( clValidator )
    DECLARE_EVENT_TABLE()
};

class checklist : public wxDialog
{
    public:
        checklist(wxWindow *wnd, datosCheckList &datos);
        virtual ~checklist();

    protected:
        enum
        {
            idCheckList = 1000
        };
        datosCheckList& data;
        wxCheckListBox* m_checkListBox;

    private:
        void OnClose(wxCloseEvent& event);
        void OnChecklist(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};
#endif // CHECKLIST_H
