/***************************************************************
 * Name:      togglebutton.cpp
 * Purpose:   Code for Dialog toggleButton
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-11-09
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#include "togglebutton.h"

wxBEGIN_EVENT_TABLE(toggleButton, wxDialog)
    EVT_CLOSE(toggleButton::OnClose)
    EVT_TOGGLEBUTTON(idtoggleButton, toggleButton::OnClick)
    EVT_TOGGLEBUTTON(idtoggleNotificar, toggleButton::OnNotificar)
wxEND_EVENT_TABLE()

toggleButton::toggleButton(wxWindow *wnd, datosToggleButton &datos)
    : wxDialog(wnd, -1, _T("Ejemplo de toggle button")), data(datos), notificar(false)
{
    wxBoxSizer *boxVertical;
    wxBoxSizer *boxHorizontal;
    wxImage::AddHandler(new wxPNGHandler);
    wxBitmapBundle bitmap;

    boxVertical = new wxBoxSizer(wxVERTICAL);

    boxHorizontal = new wxBoxSizer(wxHORIZONTAL);
    m_toggleButton = new wxToggleButton(this, idtoggleButton, "Pulsa", wxDefaultPosition, wxSize(200, wxDefaultCoord), 0, wxGenericValidator(&data.valor));
    boxHorizontal->Add(m_toggleButton, wxSizerFlags().Border());
    boxVertical->Add(boxHorizontal, wxSizerFlags().Border(wxTOP).Right());

    boxHorizontal = new wxBoxSizer(wxHORIZONTAL);
    m_toggleNotificar = new wxBitmapToggleButton(this, idtoggleNotificar, bitmap.FromFiles("bell.png"), wxDefaultPosition, wxSize(200, wxDefaultCoord));
    boxHorizontal->Add(m_toggleNotificar, wxSizerFlags().Border());
    boxVertical->Add(boxHorizontal, wxSizerFlags().Border(wxTOP).Right());

    boxVertical->Add(CreateStdDialogButtonSizer(wxOK | wxCANCEL), wxSizerFlags().Border());

    SetSizerAndFit(boxVertical);
}

toggleButton::~toggleButton()
{
    //dtor
}

void toggleButton::OnClose(wxCloseEvent& event) {
    Destroy();
}

void toggleButton::OnClick(wxCommandEvent& event) {
    if(!notificar) return;
    wxString cad;
    cad << _T("Estado: ") << (m_toggleButton->GetValue() ? _T("pulsado") : _T("no pulsado"));
    wxMessageBox(cad, _T("Respuesta"));
}

void toggleButton::OnNotificar(wxCommandEvent& event) {
    notificar = m_toggleNotificar->GetValue();
}
