/***************************************************************
 * Name:      wx007Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-09
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef WX007MAIN_H
#define WX007MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "wx007App.h"
#include "checkBoxes.h"
#include "checklist.h"
#include "togglebutton.h"
#include "radiobutton.h"
#include "radiobox.h"

class wx007Frame: public wxFrame
{
    public:
        wx007Frame(wxFrame *frame, const wxString& title);
        ~wx007Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuCheckBox,
            idMenuCheckList,
            idMenuToggleButton,
            idMenuRadioButton,
            idMenuRadioBox,
            idMenuAbout
        };
        datosCheckBoxes data;
        datosCheckList lista;
        datosToggleButton toggle;
        datosRadioButton radio;
        datosRadioBox radiobox;
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        wxString Estado(wxCheckBoxState estado);
        void OnCheckBox(wxCommandEvent& event);
        void OnCheckList(wxCommandEvent& event);
        void OnToggleButton(wxCommandEvent& event);
        void OnRadioButton(wxCommandEvent& event);
        void OnRadioBox(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX007MAIN_H
